<html>
<head>
<title>Ogre::StdAllocPolicy Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StdAllocPolicy.html">StdAllocPolicy</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::StdAllocPolicy Class Reference<div class="ingroups"><a class="el" href="group__Memory.html">Memory</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::StdAllocPolicy" -->
<p>A "standard" allocation policy for use with <a class="el" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">AllocatedObject</a> and <a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>.  
 <a href="classOgre_1_1StdAllocPolicy.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>&gt;</code></p>

<p><a href="classOgre_1_1StdAllocPolicy-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StdAllocPolicy.html#af94797b160779ff0f2e95eb0ba8d64a5">allocateBytes</a> (size_t count, const char *=0, int=0, const char *=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StdAllocPolicy.html#abcce32679ffd71fbcc8533f79b4fa16d">deallocateBytes</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StdAllocPolicy.html#ae16a3e17c2643b6af6a4e4f37848fa5b">getMaxAllocationSize</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum size of a single allocation.  <a href="#ae16a3e17c2643b6af6a4e4f37848fa5b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StdAllocPolicy.html#a0af98d59c61ea723e837b1a6e7567f55">StdAllocPolicy</a> ()</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A "standard" allocation policy for use with <a class="el" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">AllocatedObject</a> and <a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>. </p>
<p>This is the class that actually does the allocation and deallocation of physical memory, and is what you will want to provide a custom version of if you wish to change how memory is allocated. </p>
<dl class="user"><dt><b></b></dt><dd>This class just delegates to the global malloc/free. </dd></dl>

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00055">55</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0af98d59c61ea723e837b1a6e7567f55"></a><!-- doxytag: member="Ogre::StdAllocPolicy::StdAllocPolicy" ref="a0af98d59c61ea723e837b1a6e7567f55" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StdAllocPolicy.html#a0af98d59c61ea723e837b1a6e7567f55">Ogre::StdAllocPolicy::StdAllocPolicy</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00089">89</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af94797b160779ff0f2e95eb0ba8d64a5"></a><!-- doxytag: member="Ogre::StdAllocPolicy::allocateBytes" ref="af94797b160779ff0f2e95eb0ba8d64a5" args="(size_t count, const char *=0, int=0, const char *=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void* <a class="el" href="classOgre_1_1StdAllocPolicy.html#af94797b160779ff0f2e95eb0ba8d64a5">Ogre::StdAllocPolicy::allocateBytes</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00058">58</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>

</div>
</div>
<a class="anchor" id="abcce32679ffd71fbcc8533f79b4fa16d"></a><!-- doxytag: member="Ogre::StdAllocPolicy::deallocateBytes" ref="abcce32679ffd71fbcc8533f79b4fa16d" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1StdAllocPolicy.html#abcce32679ffd71fbcc8533f79b4fa16d">Ogre::StdAllocPolicy::deallocateBytes</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00074">74</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae16a3e17c2643b6af6a4e4f37848fa5b"></a><!-- doxytag: member="Ogre::StdAllocPolicy::getMaxAllocationSize" ref="ae16a3e17c2643b6af6a4e4f37848fa5b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static size_t <a class="el" href="classOgre_1_1StdAllocPolicy.html#ae16a3e17c2643b6af6a4e4f37848fa5b">Ogre::StdAllocPolicy::getMaxAllocationSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the maximum size of a single allocation. </p>

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00083">83</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
